// =========================================================
// Рисование растровых изображений
//
// (C) Фролов А.В, 1997
//
// E-mail: frolov@glas.apc.org
// WWW:    http://www.glasnet.ru/~frolov
//            или
//         http://www.dials.ccas.ru/frolov
// =========================================================
import java.applet.*;
import java.awt.*;

public class ImageDraw extends Applet
{
  // Изображение флоппи-диска
  Image FloppyDiskImg;

  // Изображение компакт-диска
  Image CDDiskImg;

	// -------------------------------------------------------
  // getAppletInfo
  // Метод, возвращающей строку информации об аплете
  // -------------------------------------------------------
	public String getAppletInfo()
	{
		return "Name: ImageDraw\r\n" +
      "Author: Alexandr Frolov\r\n" +
      "E-mail: frolov@glas.apc.org" +
      "WWW:    http://www.glasnet.ru/~frolov" +
      "Created with Microsoft Visual J++ Version 1.0";
	}

  // -------------------------------------------------------
  // init
  // Метод init, получает управление при инициализации аплета
  // -------------------------------------------------------
	public void init()
	{
    // Загружаем изображение флоппи-диска
    FloppyDiskImg = getImage(getCodeBase(), "disk.gif");

    // Загружаем изображение флоппи-диска
    CDDiskImg = getImage(getCodeBase(), "cd.gif");
	}

  // -------------------------------------------------------
  // paint
  // Метод paint, выполняющий рисование в окне аплета
  // -------------------------------------------------------
	public void paint(Graphics g)
	{
    // Определяем текущие размеры окна аплета
    Dimension dimAppWndDimension = size();
    
    // Выбираем в контекст отображения белый цвет
    g.setColor(Color.white);
    
    // Закрашиваем внутреннюю область окна аплета
    g.fillRect(0, 0, 
      dimAppWndDimension.width  - 1, 
      dimAppWndDimension.height - 1);

    // Выбираем в контекст отображения черный цвет
    g.setColor(Color.black);

    // Рисуем рамку вокруг окна аплета
    g.drawRect(0, 0, 
      dimAppWndDimension.width  - 1, 
      dimAppWndDimension.height - 1);

    // Рисуем увеличенное изображение флоппи-диска
    g.drawImage(FloppyDiskImg, 25, 42, 200, 200, this);

    // Рисуем нормальное изображение флоппи-диска
    g.drawImage(FloppyDiskImg, 25, 3, this);

    // Рисуем нормальное изображение компакт-диска
    g.drawImage(CDDiskImg , 70, 3, this);

    // Рисуем вытянутое изображение компакт-диска
    g.drawImage(CDDiskImg , 115, 3, 40, 25, this);
	}
}
